Subject: Re: simplify configfs attributes V2

From: Felipe Balbi <[email-masked]>
Date: Fri, 9 Oct 2015 16:37:51 -0500

Christoph Hellwig <[email-masked]> writes:

> This series consolidates the code to implement configfs attributes
> by providing the ->show and ->store method in common code and using
> container_of in the methods to access the containing structure.
>
> This reduces source and binary size of configfs consumers a lot.
>
> Changes since V1:
>  - a couple fixes for unintended changes in the uvc driver
>  - moved a few CONFIG_ATTR() statements around
>  - fixed up the documentation and samples in the last patch
>  - added a little rather pointless blurb to the patch description for
>    various patches

For reference, I'm fine if you guys take all patches through FS
tree. Another option is waiting for dependencies to be merged in v4.4,
and the gadget changes merge in v4.5, whatever works.

Acked-by: Felipe Balbi <[email-masked]>

-- 
balbi